Get Leads By Account
curl --request GET \
--url https://api.eqho.ai/v1/leads \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/leads"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"leads": [
{
"phone": "<string>",
"id": "<string>",
"account_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone_extension": "<string>",
"call_now": true,
"list_ids": [
"<string>"
],
"timezone": "US/Mountain",
"extracted_data": {},
"custom_fields": {},
"preferred_agent_id": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"campaign_info": [
{
"list_id": "<string>",
"campaign_id": "<string>",
"call_count": 123,
"locked": true,
"call_now": {}
}
],
"conversation_seeder_override": [
{
"role": "system",
"content": "<string>",
"tool_calls": [
{
"name": "<string>",
"arguments": {}
}
]
}
],
"search_score": 123
}
],
"meta": {
"per_page": 123,
"last_page": 123,
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Leads
Get Leads
GET
/
v1
/
leads
Get Leads By Account
curl --request GET \
--url https://api.eqho.ai/v1/leads \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/leads"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"leads": [
{
"phone": "<string>",
"id": "<string>",
"account_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone_extension": "<string>",
"call_now": true,
"list_ids": [
"<string>"
],
"timezone": "US/Mountain",
"extracted_data": {},
"custom_fields": {},
"preferred_agent_id": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"campaign_info": [
{
"list_id": "<string>",
"campaign_id": "<string>",
"call_count": 123,
"locked": true,
"call_now": {}
}
],
"conversation_seeder_override": [
{
"role": "system",
"content": "<string>",
"tool_calls": [
{
"name": "<string>",
"arguments": {}
}
]
}
],
"search_score": 123
}
],
"meta": {
"per_page": 123,
"last_page": 123,
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
APIKeyHeader & OrgImpersonationOAuth2PasswordBearer & OrgImpersonation
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Query Parameters
Required string length:
24Required range:
x >= 1Required range:
1 <= x <= 1000Available options:
first_name, last_name, phone, email, created_at, search_score Available options:
asc, desc Required string length:
24Was this page helpful?